package com.goldenwater.slaj.stan.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.stan.mapper.ObjPunoMapper;
import com.goldenwater.slaj.stan.domain.ObjPuno;
import com.goldenwater.slaj.stan.service.IObjPunoService;

@Service
public class ObjPunoServiceImpl implements IObjPunoService {
    @Autowired
    private ObjPunoMapper objPunoMapper;

    @Override
    public ObjPuno selectObjPunoByGuid(String guid) { return objPunoMapper.selectObjPunoByGuid(guid); }
    @Override
    public List<ObjPuno> selectObjPunoList(ObjPuno objPuno) { return objPunoMapper.selectObjPunoList(objPuno); }
    @Override
    public int insertObjPuno(ObjPuno objPuno) { return objPunoMapper.insertObjPuno(objPuno); }
    @Override
    public int updateObjPuno(ObjPuno objPuno) { return objPunoMapper.updateObjPuno(objPuno); }
    @Override
    public int deleteObjPunoByGuid(String guid) { return objPunoMapper.deleteObjPunoByGuid(guid); }
    @Override
    public int deleteObjPunoByGuids(String[] guids) { return objPunoMapper.deleteObjPunoByGuids(guids); }
}
